Zum Hauptinhalt springen

Product Category Endpoints

Manage product categories for e-commerce features.

Base Pathโ€‹

/api/product-category

Endpointsโ€‹

List Categoriesโ€‹

GET /api/product-category
Authorization: Bearer {token}

Query Parameters:

ParameterTypeDescription
pagenumberPage number
limitnumberItems per page
namestringFilter by name

Create Categoryโ€‹

POST /api/product-category
Authorization: Bearer {token}
{
"name": "Electronics",
"description": "Electronic products and accessories",
"imageUrl": "https://example.com/electronics.png"
}

Update Categoryโ€‹

PUT /api/product-category/:id
Authorization: Bearer {token}

Delete Categoryโ€‹

DELETE /api/product-category/:id
Authorization: Bearer {token}

Category Translationsโ€‹

PUT /api/product-category/:id/translations
Authorization: Bearer {token}
{
"languageCode": "es",
"name": "Electrรณnica",
"description": "Productos electrรณnicos y accesorios"
}